### Constant

# Fwupd DEVICE_FLAG_AFFECTS_FDE

unstable since: 2.0

#### Declaration

    #define FWUPD_DEVICE_FLAG_AFFECTS_FDE 35184372088832

#### Description

The device is warning that a volume with full-disk-encryption was found on this machine, typically a Windows NTFS partition with BitLocker. Updating the firmware on this device may invalidate secrets used to decrypt the volume, and the recovery key may be required.

Supported clients will display this information as a warning to the user.

Available since: 2.0